@charset "utf-8";
/* CSS Document */
/*-----BODY-----*/
* {
  padding:;
  margin:;
  box-sizing: border-box;
}


body {
	display: grid;
	grid-template-columns:1fr; 
	grid-template-rows: auto;
	grid-template-areas:
	"header"
	"main"
	"footer";
	min-height: 100vh;
	gap: 0.5rem;
	font-family: 'Open Sans', sans-serif;
	font-size: 16px;
	color: #333333;	
}

/*-----HEADER-----*/

header 	{
	display: grid;	
	justify-items: center;
	align-content: space-evenly;
	align-items: center;
	z-index: 100;
	position: sticky;
  	top: 0;
	background-color: white;
}

header a {
  text-decoration: none;
}

#logo 	{
	font-weight:bold ;
	font-size: 24px;
	padding:1rem 0 1rem 0;

}

#logo a {
	color: darkslateblue;
}


nav {
	padding: 0rem 0;
	width:100%;
	background-color:white;
	box-shadow: 0px -4px 6px -5px rgba(0,0,0,0.25), 0px 5px 5px -5px rgba(0,0,0,0.25);
}

nav > ul {
	list-style: none;
	display: flex;	
	justify-content: space-around;
  	align-items: center;
	width:40%;
	margin:0 auto;
	padding: 0.5rem 0;
}

nav > ul a {
  color: darkslateblue;
}

nav > ul a:hover {
	color:limegreen;
}

#hamburger-icon {
  margin: auto 0;
  display: none;
  cursor: pointer;
}

#hamburger-icon div {
  width: 35px;
  height: 3px;
  background-color: darkslateblue;
  margin: 6px auto;
  transition: 0.7s;
}

.open .bar1 {
  -webkit-transform: rotate(-45deg) translate(-6px, 6px);
  transform: rotate(-45deg) translate(-6px, 6px);
}

.open .bar2 {
  opacity: 0;
}

.open .bar3 {
  -webkit-transform: rotate(45deg) translate(-6px, -8px);
  transform: rotate(45deg) translate(-6px, -8px);
}

.open .mobile-menu {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.mobile-menu {
	display: none;
	position: absolute;
	top: 100px;
	left: 0;
	height: calc(100vh - 50px);
	width: 100%;
	padding-top: 1rem;
	background: rgb(255,255,255);
	background: linear-gradient(180deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0.9514180672268907) 75%, rgba(255,255,255,0.46682422969187676) 100%);
}

.mobile-menu li {
	margin-bottom: 10px;
	list-style: none;
	padding: 1rem;
}

@media only screen and (max-width: 800px) {
  header > nav {
    display: none;
  }

  #hamburger-icon {
	display: block;
	width:100%;
	padding: 0.2rem;
	box-shadow: 0px -4px 6px -5px rgba(0,0,0,0.25), 0px 5px 5px -5px rgba(0,0,0,0.25);
  }
}





/* ----- MAIN ----- */
.hero{grid-area: hero;}
.hours{grid-area: hours;}
.button{grid-area: button;}
.article{grid-area: article;}


main {
	display: grid;
	grid-template-areas:
	'hero hero hours'
	'hero hero button'	
	'article article article';
	gap: 1rem;
}

.hero{
	padding: 1rem;
}

.hours {
	display: grid;
	inline-size: auto;
	margin:auto;
	grid-template-rows: auto auto auto auto;
	gap: .5rem;
	padding:1rem;
	
	}

.hours > div {
	font-size: 16px;
	color:darkslateblue;
	font-weight: bold;
}

.item1 {
	grid-column: 1 / span 4;
	grid-row: 1;
	text-align: center;
	margin-bottom: 2rem;
	border-radius: 2rem;
	color:white !important;
	background-color: #0b5394;
}
.item1 h2 {
	padding:0 1rem;
}
.item2 {
	grid-column: 1;
	grid-row: 2;
}
.item3 {
	grid-column: 2;
	grid-row: 2;
}
.item4 {
grid-column: 3;
grid-row: 2;
text-align: center;
}
.item5 {
grid-column: 4;
grid-row:2;
text-align: right;
}
.item6 {
grid-column: 1;
grid-row:3;
}
.item7 {
grid-column: 2;
grid-row:3;
}
.item8 {
grid-column: 3;
grid-row:3;
text-align: center;
}
.item9 {
grid-column: 4;
grid-row:3;
text-align: right;
}
.item10 {
grid-column: 1 / span 4;
grid-row:4;
text-align: center;
}



.button{
	padding: 1rem;
	margin:auto;
}

main .button {
  display: inline-block;
  color: #fff;
  padding: 0.5rem 1rem;
  border-radius: 4px;
  text-decoration: none;
  text-transform: uppercase;
}
.article{
	padding:0 1rem;
}
.article a{
	text-decoration: none;
}
.article p{
	text-indent: 25px;
}
.article ul{
	list-style-position: inside;
}
.article h1{
	color:darkslateblue;
}
.blog-thumbnail img {
float: right;
width:250px;
}

.statement{
	display:grid;
	background-color:;
	gap:1rem;
	margin:1rem;
	color:darkslateblue;
}
.heading-1{
background-color: darkred;
border-top-left-radius: 1.5rem;
border-top-right-radius: 1.5rem;
}
.heading-1 h2 {
color: white;
padding: 15px;
}

.headline-1 h3 {
color: darkred;

}
.headline-1 h3, p {
display: inline;
}
.headline-1{
padding-bottom: 20px;
}	
.heading-2{
background-color: darkslateblue;
border-top-left-radius: 1.5rem;
border-top-right-radius: 1.5rem;
}
.heading-2 h2 {
color: white;
padding: 15px;
}

.headline-2 h3 {
color: darkslateblue;
}
.headline-2 h3, p {
display: inline;
}
.headline-2{
padding-bottom: 20px;
}	

.heading-3{
background-color: darkorange;
border-top-left-radius: 1.5rem;
border-top-right-radius: 1.5rem;
}
.heading-3 h2 {
color: white;
padding: 15px;
}

.headline-3 h3 {
	color: darkorange;
}
.headline-3 h3, p {
	display: inline;
}
.headline-3{
	padding-bottom: 20px;
}	

.heading-4{
	background-color: darkgreen;
	border-top-left-radius: 1.5rem;
	border-top-right-radius: 1.5rem;
}
.heading-4 h2 {
color: white;
padding: 15px;
}

.headline-4 h3 {
color: darkgreen;
}
.headline-4 h3, p {
display: inline;
}
.headline-4{
padding-bottom: 20px;
}	

.points{
	grid-area: points;
	display:grid;
	grid-template-columns: 1fr 3fr;
	grid-template-areas:
	"points-left points-right";
	border-top: 1px solid grey;
}

.points-left p {
	font-size: 14pt;
	font-weight:bold;
	color: ;
}

}

.contact-div {
	display:grid;
	justify-content: space-around;
	align-content: center;
	gap:2rem;
	padding:1rem 0 0 0;
	background-color:aliceblue;
	text-decoration: none;
	text-align: center;
}
.contact-div a {
	color:#333333;
}

#name, #email, #message {
	width: 100%;
	padding: 12px 15px;
	margin: 8px 0;
	display: inline-block;
	border: 1px solid #ccc;
	border-radius: 5px;
	box-sizing: border-box;
	}

#message{
		height:150px;
		overflow: auto;
	}	
	
#submit {
		width: 100%;
		height: 50px;
		background-color:#0c4d89;
		color: white;
		font-size: 16px;
		margin-top: 10px;	
	}	


@media only screen and (min-width: 801px){
	main {
	width:90%;
	margin:auto;
	border-bottom: 1px solid #999999;
}
}

@media only screen and (max-width: 800px){
main {
	display: grid;
	grid-template-areas:
	'hero'
	'hours'
	'button'
	'article';
	gap: 0.5rem;
	border-bottom: 1px solid #999999;
}
}





/*-----FOOTER------*/

footer {
	display: grid;
	justify-content: space-evenly;
	justify-items: center;
	align-content: space-evenly;
	align-items: center;	
	padding: 1rem;
	gap:1rem;
	color:lightsteelblue;
}

footer a {
  text-decoration: none;
  color:lightsteelblue;
}
.address {
	text-decoration: none;
	text-align: center;
}


.social {
	display:grid;
	grid-auto-flow:column;
	gap:1rem;
	background-color:;
}
.social img{
	width:2.5rem;
}

@media only screen and (min-width: 801px){
	footer {
	width:90%;
	margin:auto;
}
}
